import 'package:dartz/dartz.dart';
import 'package:tugas_akhir_supabase/core/errors/failures.dart';
import 'package:tugas_akhir_supabase/domain/entities/field.dart';

abstract class FieldRepository {
  Future<Either<Failure, List<Field>>> getFields(String userId);
  Future<Either<Failure, Field>> createField(Field field);
  Future<Either<Failure, Field>> updateField(Field field);
  Future<Either<Failure, bool>> deleteField(String fieldId);
} 